# ITimeBased Struct Reference
[Shell Interfaces]

Inheritance diagram for ITimeBased:

List of all members.

## Public Member Functions
virtual boolean MCCOMAPI | IsAnimated () const =0
virtual void MCCOMAPI | SetAnimated (boolean animated)=0
virtual I3DShTimeBasedData *MCCOMAPI | GetTimeBasedDataNoAddRef ()=0
virtual void MCCOMAPI | InvalidateCaches (int32 itsID, int32 itsIndex)=0
virtual void MCCOMAPI | SetLocalTime (MicroTick inTime)=0
virtual MicroTick MCCOMAPI | GetCurrentTime () const =0
virtual boolean MCCOMAPI | CheckParameterRange (int32 itsIndex, void *value, IDType type) const =0
| This function can be used to enforce some range check for the parameters.
virtual I3DShAttributesSet *MCCOMAPI | GetOverrideAttributesSet (IDType subGroupParamID)=0

## Detailed Description

Interface to an animated object. Animated objects have animated parameters (I3DShTimeBasedData). The ITimeBased interface provides methods for toggling animation status for an object, and provides access to the object's timebased data.

## Member Function Documentation

virtual boolean MCCOMAPI ITimeBased::CheckParameterRange | ( | int32 | itsIndex,
|  | void * | value,
|  | IDType | type |
| ) |  |  | const`[pure virtual]`

This function can be used to enforce some range check for the parameters.

Parameters:

  | itsIndex | Index of the paramater in the time based data.
  | value | Value of the parameter.
  | type | Type of the parameter.

Returns:
  true if the parameter has been modified

Implemented in TTimeBased.

virtual MicroTick MCCOMAPI ITimeBased::GetCurrentTime | ( |  | ) | const`[pure virtual]`

Implemented in TTimeBased.

virtual I3DShAttributesSet* MCCOMAPI ITimeBased::GetOverrideAttributesSet | ( | IDType | subGroupParamID | ) | `[pure virtual]`

You can use this function to override the attributes set that will control a given sub param group of this time based. Usually, all sub groups are controlled by the attributes set that is controlling the current group.

Parameters:

  | subGroupParamID | ID of the sub group.

Implemented in TTimeBased.

virtual I3DShTimeBasedData* MCCOMAPI ITimeBased::GetTimeBasedDataNoAddRef | ( |  | ) | `[pure virtual]`

Implemented in TTimeBased.

virtual void MCCOMAPI ITimeBased::InvalidateCaches | ( | int32 | itsID,
|  | int32 | itsIndex |
| ) |  |  | `[pure virtual]`

Implemented in TTimeBased, and TTimeBasedList.

virtual boolean MCCOMAPI ITimeBased::IsAnimated | ( |  | ) | const`[pure virtual]`

Implemented in TTimeBased.

virtual void MCCOMAPI ITimeBased::SetAnimated | ( | boolean | animated | ) | `[pure virtual]`

Implemented in TTimeBased.

virtual void MCCOMAPI ITimeBased::SetLocalTime | ( | MicroTick | inTime | ) | `[pure virtual]`

Implemented in TTimeBased.

The documentation for this struct was generated from the following file:

- I3dShAnimation.h